package com.dev.swms.server.model.interfaces;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 出库单(门店1)
 * @author 44700
 *
 */
public class InterfaceWmsOut extends Entity{
	
	/**公司号*/
	private String companyKeyOrderNo;
	
	/**JDE 订单类型*/
	private String orderType;
	
	/**JDE 订单号*/
	private String documentOrderInvoiceE;
	
	/**JDE 行号*/
	private String lineNumber;
	
	/**仓库(分部场所-必填) */
	private String costCenter;
	
	/**调出仓*/
	private String costCenterHeader;
	
	/**订单日期(格式YYYY-MM-DD)*/
	private String dateTransactionJulian;
	
	/**配送号(格式YYYY-MM-DD)*/
	private String dateRequestedJulian;
	
	/**SOLD TO 地址号*/
	private String addressNumber;
	
	/**SHIP TO 地址号*/
	private String addressNumberShipTo;
	
	/**物料第2项目号*/
	private String identifier2ndItem;
	
	/**订单数量*/
	private String unitsTransactionQty;
	
	/**是否负数( 0/空:非负:1:负数)*/
	private String isNegative;
	
	/**计量单位*/
	private String unitOfMeasurePrimary;
	
	/**接口任务号*/
	private String sessionID;
	
	/**异常说明*/
	private String description001;
	
	/**读取标志 (Y/N -必填)*/
	private String yesOrNoEntry;
	
	/**最大读取记录数(-必填)*/
	private String MaxReturnedRows;
	
	/**操作员姓名*/
	private String userId;
	
	/**JDE 程序号*/
	private String programId;
	
	/**操作终端*/
	private String workStationId;
	
	/**最后更新日期*/
	private String dateUpdated;
	
	/**最后更新时间*/
	private String timeLastUpdated;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getCompanyKeyOrderNo() {
		return companyKeyOrderNo;
	}
	public void setCompanyKeyOrderNo(String companyKeyOrderNo) {
		this.companyKeyOrderNo = companyKeyOrderNo;
	}
	public String getOrderType() {
		return orderType;
	}
	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}
	public String getDocumentOrderInvoiceE() {
		return documentOrderInvoiceE;
	}
	public void setDocumentOrderInvoiceE(String documentOrderInvoiceE) {
		this.documentOrderInvoiceE = documentOrderInvoiceE;
	}
	public String getLineNumber() {
		return lineNumber;
	}
	public void setLineNumber(String lineNumber) {
		this.lineNumber = lineNumber;
	}
	public String getCostCenter() {
		return costCenter;
	}
	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}
	public String getCostCenterHeader() {
		return costCenterHeader;
	}
	public void setCostCenterHeader(String costCenterHeader) {
		this.costCenterHeader = costCenterHeader;
	}
	public String getDateTransactionJulian() {
		return dateTransactionJulian;
	}
	public void setDateTransactionJulian(String dateTransactionJulian) {
		this.dateTransactionJulian = dateTransactionJulian;
	}
	public String getDateRequestedJulian() {
		return dateRequestedJulian;
	}
	public void setDateRequestedJulian(String dateRequestedJulian) {
		this.dateRequestedJulian = dateRequestedJulian;
	}
	public String getAddressNumber() {
		return addressNumber;
	}
	public void setAddressNumber(String addressNumber) {
		this.addressNumber = addressNumber;
	}
	public String getAddressNumberShipTo() {
		return addressNumberShipTo;
	}
	public void setAddressNumberShipTo(String addressNumberShipTo) {
		this.addressNumberShipTo = addressNumberShipTo;
	}
	public String getIdentifier2ndItem() {
		return identifier2ndItem;
	}
	public void setIdentifier2ndItem(String identifier2ndItem) {
		this.identifier2ndItem = identifier2ndItem;
	}
	public String getUnitsTransactionQty() {
		return unitsTransactionQty;
	}
	public void setUnitsTransactionQty(String unitsTransactionQty) {
		this.unitsTransactionQty = unitsTransactionQty;
	}
	public String getIsNegative() {
		return isNegative;
	}
	public void setIsNegative(String isNegative) {
		this.isNegative = isNegative;
	}
	public String getUnitOfMeasurePrimary() {
		return unitOfMeasurePrimary;
	}
	public void setUnitOfMeasurePrimary(String unitOfMeasurePrimary) {
		this.unitOfMeasurePrimary = unitOfMeasurePrimary;
	}
	public String getSessionID() {
		return sessionID;
	}
	public void setSessionID(String sessionID) {
		this.sessionID = sessionID;
	}
	public String getDescription001() {
		return description001;
	}
	public void setDescription001(String description001) {
		this.description001 = description001;
	}
	public String getYesOrNoEntry() {
		return yesOrNoEntry;
	}
	public void setYesOrNoEntry(String yesOrNoEntry) {
		this.yesOrNoEntry = yesOrNoEntry;
	}
	public String getMaxReturnedRows() {
		return MaxReturnedRows;
	}
	public void setMaxReturnedRows(String maxReturnedRows) {
		MaxReturnedRows = maxReturnedRows;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getProgramId() {
		return programId;
	}
	public void setProgramId(String programId) {
		this.programId = programId;
	}
	public String getWorkStationId() {
		return workStationId;
	}
	public void setWorkStationId(String workStationId) {
		this.workStationId = workStationId;
	}
	public String getDateUpdated() {
		return dateUpdated;
	}
	public void setDateUpdated(String dateUpdated) {
		this.dateUpdated = dateUpdated;
	}
	public String getTimeLastUpdated() {
		return timeLastUpdated;
	}
	public void setTimeLastUpdated(String timeLastUpdated) {
		this.timeLastUpdated = timeLastUpdated;
	}
	public String getException_des() {
		return exception_des;
	}
	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}
	
	

}
